class astrad009::mysql-server {

        exec { "add depot":
                command     => "echo 'deb http://packages.dotdeb.org lenny all' >> /etc/apt/sources.list;wget http://www.dotdeb.org/dotdeb.gpg;cat dotdeb.gpg | apt-key add -"
        }

        exec { "aptitude update":
                command     => "aptitude update",
                require     => [Exec["add depot"]]
        }

        package {  "mysql-server-5.1":
                ensure      => installed,
                require     => Exec['aptitude update'],
                notify      => Exec["Set MySQL root password"]
        }

        service { "mysql":
                ensure  => running,
                enable  => true,
                name    => "mysql",
                require => Package["mysql-server-5.1"]
        }


        exec { "Set MySQL root password":
                subscribe   => Package["mysql-server-5.1"],
                refreshonly => true,
                unless      => "mysqladmin -uroot -p$mysql_root_pass status",
                path        => "/bin:/usr/bin",
                command     => "mysqladmin -uroot password $mysql_root_pass",
                require     => Service["mysql"],
        }
}
